#include "xfxtrailvertex.h"

XFxTrailVertex::XFxTrailVertex()
    : XAsset()
    , mPos()
    , mNormal()
    , mTexCoord(0)
{
    SetName("Trail Vertex");
}

XFxTrailVertex::~XFxTrailVertex()
{
    
}

void XFxTrailVertex::Clear()
{
    mPos = QVector2D();
    mNormal = QVector2D();
    mTexCoord = 0;
}

void XFxTrailVertex::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XFxTrailVertex::ParseData
}
